#!/bin/sh
# postinst script for #PACKAGE#
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    configure)
        mkdir -p /etc/invirt/vnc
        if ! [ -e /etc/invirt/vnc/server.pem ]; then
            openssl genrsa -out /etc/invirt/vnc/server.pem 1024 >/dev/null
        fi
        
        if ! [ -e /etc/invirt/vnc/server.crt ]; then
            openssl req -new -x509 -nodes -sha1 -subj "/CN=$(hostname -f)" -key /etc/invirt/vnc/server.pem \
                > /etc/invirt/vnc/server.crt
        fi
        
        if ! [ -e /etc/invirt/vnc/token-key ]; then
            openssl rand -base64 33 >/etc/invirt/vnc/token-key
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


